import base64
import gzip
import pickle


def serialize_geometry(geom: "extra_geom.base.DetectorGeometryBase") -> str:
    return base64.b64encode(gzip.compress(pickle.dumps(geom))).decode(encoding="ASCII")


def deserialize_geometry(serialized: str) -> "extra_geom.base.DetectorGeometryBase":
    return pickle.loads(gzip.decompress(base64.b64decode(serialized.encode())))
